const { DataTypes } = require('sequelize');
const bcrypt = require('bcryptjs');
const db = require('../config/db.config');
const Schedule = db.define('Schedule', {
    id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        autoIncrement: true,
        primaryKey: true
    },
    adminid: {
        type: DataTypes.STRING,
        allowNull: true
    },
    // days: {
    //     type: DataTypes.STRING,
    //     allowNull: true
    // },
    start_time: {
        type: DataTypes.STRING,
        allowNull: true
    },
    end_time: {
        type: DataTypes.STRING,
        allowNull: true
    },


}, {
    tableName: 'schedule',
    timestamps: true,
    createdAt: 'created_at',
    updatedAt: 'updated_at'
});

module.exports = Schedule;